- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Configurator Class Reference

Inherits Object.

Inherited by PropertyConfigurator`[virtual]`, and DOMConfigurator`[virtual]`.

List of all members.

## Detailed Description

Implemented by classes capable of configuring log4j using a URL.

## Public Member Functions
| Configurator ()
virtual void | doConfigure (const File &configFileName, spi::LoggerRepositoryPtr &repository)=0
| Interpret a resource pointed by a URL and set up log4j accordingly.

## Constructor & Destructor Documentation

Configurator | ( |  | ) |

## Member Function Documentation

virtual void doConfigure | ( | const File & | configFileName,
|  | spi::LoggerRepositoryPtr & | repository
| ) | `[pure virtual]`

  | Interpret a resource pointed by a URL and set up log4j accordingly. The configuration is done relative to the `hierarchy` parameter. Parameters:
  | configFileName | The file to parse
  | repository | The hierarchy to operation upon.
Implemented in PropertyConfigurator, and DOMConfigurator.

The documentation for this class was generated from the following file:

- configurator.h